Bug 108769 - [CI][BAT] fi-kbl-7500u's chamelium is improperly setup
Summary: [CI][BAT] fi-kbl-7500u's chamelium is improperly setup
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-16 15:23 UTC by Martin Peres
Modified: 2018-11-30 13:55 UTC (History)
3 users (show)

See Also:
i915 platform: KBL
i915 features: CI Infra


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-11-16 15:23:01 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4718/fi-kbl-7500u/igt@kms_chamelium@hdmi-hpd-fast.html

Starting subtest: hdmi-hpd-fast
(kms_chamelium:2863) CRITICAL: Test assertion failure function test_basic_hotplug, file ../tests/kms_chamelium.c:236:
(kms_chamelium:2863) CRITICAL: Failed assertion: igt_hotplug_detected(mon, HOTPLUG_TIMEOUT)
Subtest hdmi-hpd-fast failed.


https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4718/fi-kbl-7500u/igt@kms_chamelium@hdmi-crc-fast.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4718/fi-kbl-7500u/igt@kms_chamelium@hdmi-edid-read.html

Starting subtest: hdmi-edid-read
(kms_chamelium:2880) CRITICAL: Test assertion failure function wait_for_connector, file ../tests/kms_chamelium.c:132:
(kms_chamelium:2880) CRITICAL: Failed assertion: finished
Subtest hdmi-edid-read failed.


https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4718/fi-kbl-7500u/igt@kms_chamelium@common-hpd-after-suspend.html

Starting subtest: common-hpd-after-suspend
(kms_chamelium:2900) CRITICAL: Test assertion failure function try_suspend_resume_hpd, file ../tests/kms_chamelium.c:318:
(kms_chamelium:2900) CRITICAL: Failed assertion: reprobe_connector(data, port) == connected ? DRM_MODE_DISCONNECTED : DRM_MODE_CONNECTED
(kms_chamelium:2900) CRITICAL: error: 2 != 1
Subtest common-hpd-after-suspend failed.
Comment 2 Jani Saarinen 2018-11-26 08:50:34 UTC
What this improperly setup means here? 
Is this Chamelium issue or something on eg. IGT?
Comment 3 Tomi Sarvela 2018-11-26 13:48:18 UTC
kbl-7500u cables are connected to Chamelium edgemost DP and HDMI ports.
connector 83: type DP-1, status: connected
connector 91: type HDMI-A-1, status: disconnected
connector 97: type DP-2, status: connected

Lets try with DP-2 connected to HDMI (was: HDMI-A-1 to PortID=3)

Reference:
# A Chamelium daemon program defines these port ids as
# DP1 (located next to the HDMI port) = 1
# DP2 (located next to the VGA connector) = 2
# HDMI = 3 and VGA = 4
Comment 4 Martin Peres 2018-11-28 14:19:24 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5207/fi-kbl-7500u/igt@kms_chamelium@hdmi-hpd-fast.html (and 12 other similar links)

Starting subtest: hdmi-hpd-fast
(kms_chamelium:2900) CRITICAL: Test assertion failure function test_basic_hotplug, file ../tests/kms_chamelium.c:238:
(kms_chamelium:2900) CRITICAL: Failed assertion: reprobe_connector(data, port) == DRM_MODE_CONNECTED
(kms_chamelium:2900) CRITICAL: error: 2 != 1
Subtest hdmi-hpd-fast failed.
Comment 5 Martin Peres 2018-11-30 13:55:02 UTC
(In reply to Tomi Sarvela from comment #3)
> kbl-7500u cables are connected to Chamelium edgemost DP and HDMI ports.
> connector 83: type DP-1, status: connected
> connector 91: type HDMI-A-1, status: disconnected
> connector 97: type DP-2, status: connected
> 
> Lets try with DP-2 connected to HDMI (was: HDMI-A-1 to PortID=3)
> 
> Reference:
> # A Chamelium daemon program defines these port ids as
> # DP1 (located next to the HDMI port) = 1
> # DP2 (located next to the VGA connector) = 2
> # HDMI = 3 and VGA = 4

Used to be seen every run, now not seen in 20 runs. Seems like you indeed fixed it! Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.